vim.api.nvim_create_autocmd("LspAttach", {  -- Highly experimental textDocument/inlayHint not in PyLSP
  group = vim.api.nvim_create_augroup("UserLspConfig", { clear = false }),
  callback = function(args)
    if not (args.data and args.data.client_id) then
      return
    end

    local bufnr = args.buf
    local client = vim.lsp.get_client_by_id(args.data.client_id)
    vim.lsp.inlay_hint.enable(true, { bufnr = bufnr })
  end,
})
